import { error } from '@sveltejs/kit';


export async function load({ url, params, data }) {
    let post;
    try {
        post = await import(`../_posts/${params.slug}.svx`);
    }
    catch (err) {
        if (err.message.match(/Unknown variable dynamic import/)) {
            throw error(404, `Not found: ${url.pathname}`);
        }
        else {
            throw err;
        }
    }

    post.metadata.slug = params.slug;
    post.metadata.prev = data.prev;
    post.metadata.next = data.next;
    return {
        post: post.default,
    }
}
